MacPython 2.3 on Leopard

Stefanie P.'s picture

Hello,

I'd like to install python 2.3 on my Mac OS X v10.5. But i cannot find any fitting version of it, am blind/stupid or it really doesn't exist?

I guess the python 2.3 version for v10.3 isn't the right one for me, right?
And only the MacPython 2.3 works with FontLab, right?

Could anybody help me, please!?

Thanks,
;>

_null's picture

This looks like it might be of use:

http://www.python.org/download/mac/

Also, I recommend installing the xcode suite ( http://developer.apple.com/tools/xcode/ ) for your os version. It seemed to iron out a lot of kinks on my 10.6 machine to do with font development. Good luck!

Stefanie P.'s picture

Thank you.

I'm right on it with the xcode tools.

Gosh, what an adventure!
;>

_null's picture

No problem, it all gets a bit unix from this point.
You might have to get a bit freaky with command line (terminal) stuff, but I'm fairly sure xcode is what makes all the lights and bells switch on.

Python should already be running as standard however (just in case you've been looking in vain for a button...like i did), xcode will just let you tweak and compile things if you need to.

Stefanie P.'s picture

I am extremely happy to announce that my FL-macros are working perfectly now!

;>

_null's picture

stupendous - enjoy!

twardoch's picture

http://www.fontlab.com/python explains how Mac OS X can be set up for FontLab Studio to work with Python 2.5 which is included with Mac OS X 10.5 and 10.6.

Syndicate content Syndicate content